Spip en locahost

Temps de lecture : 3 minutes

Pour pouvoir faire des modifications du squelette de Spip, il est préférable d'avoir un outil de travail en local plutôt que de modifier le site publié, au risque de tout casser.
Le principe de l'article : il existe un site déjà publié et un besoin de modifier le squelette utilisé. Une des solutions est de créer une instance locale du site.

Continuer la lecture de Spip en locahost

PHP : installer une version différente

Temps de lecture : < 1 minute

Spip est un CMS écrit en langage PHP. Il a besoin également d'un serveur apache et d'une base de données mysql. Sur Ubuntu 18.10, la version par défaut de php est la 7.3.
Spip 3.2.1 n'est pas compatible avec cette version de php. Actuellement, il est compatible au maximum avec la version 7.1.

Continuer la lecture de PHP : installer une version différente